Subject: bug#1157: Window size problems

From: [email-masked]
Date: Mon, 13 Oct 2008 11:34:45 +0200

I have a two screen solution where my lap top is left and a external
screen is right it starts from 1440.

0. I can not make the following work in .Xresources
emacs.geometry:80x64+1440

1. If I have my current emacs in the right screen and do 
(setq default-frame-alist '((width . 80) (height . 64)))
a new frame opens in the right screen but width size 80 x 50.  

2. If I do
(setq default-frame-alist '((top . 0) (left . 0) (width . 80) (height . 64)))
I get a frame in the left screen size 80 x 50.

Now 80 x 50 is the maximum size in the left window which I get there
with height >= 50.

3. If instead I do
(setq default-frame-alist '((top . 0) (left . 1440) (width . 80) (height . 64)))
the frame opens in the right window with the right size.

So it seems that if my current emacs is in the right screen a new
frame opens there but limited to the max size according to the screen
at left i.e.  (top . 0) (left . 0).

Now I think my problem is solved.  However, maybee this is not
intentionally but a bug?

In GNU Emacs 22.1.1 (i486-pc-linux-gnu, GTK+ Version 2.12.9)
 of 2008-05-03 on terranova, modified by Ubuntu
Windowing system distributor `The X.Org Foundation', version 11.0.10400090
configured using `configure  '--build=i486-linux-gnu' '--host=i486-linux-gnu' '--prefix=/usr' '--sharedstatedir=/var/lib' '--libexecdir=/usr/lib' '--localstatedir=/var' '--infodir=/usr/share/info' '--mandir=/usr/share/man' '--with-pop=yes' '--enable-locallisppath=/etc/emacs22:/etc/emacs:/usr/local/share/emacs/22.1/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/22.1/site-lisp:/usr/share/emacs/site-lisp:/usr/share/emacs/22.1/leim' '--with-x=yes' '--with-x-toolkit=gtk' 'build_alias=i486-linux-gnu' 'host_alias=i486-linux-gnu' 'CFLAGS=-DDEBIAN -DSITELOAD_PURESIZE_EXTRA=5000 -g -O2' 'LDFLAGS=-g -Wl,--as-needed' 'CPPFLAGS=''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8
  default-enable-multibyte-characters: t

Major mode: Group

Minor modes in effect:
  delete-selection-mode: t
  gnus-topic-mode: t
  gnus-undo-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  unify-8859-on-encoding-mode: t
  utf-translate-cjk-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
r i g t C-a C-c C-z C-x C-o C-c C-c ! m t b a <tab> 
C-c C-f C-s B r u s s e l SPC t u r C-b C-b C-b C-b 
C-b C-b C-b C-b M-x M-p M-p M-p <return> <down-mouse-1> 
<mouse-1> <down-mouse-1> <mouse-1> s C-c C-b T h o 
m a s <return> <return> D i a n a SPC s i g e r SPC 
d u SPC h a r SPC e n SPC b i l l e t SPC t i l SPC 
2 1 - 2 6 SPC n <backspace> O k t o b e r . SPC SPC 
M ø d e t SPC e r SPC v e l SPC 2 0 - 2 1 SPC O k t 
o b e r . SPC SPC H v a d SPC m e d SPC h o t e l . 
SPC SPC K a n SPC d u SPC i k k e SPC r i n g e SPC 
t i l SPC D i a n a SPC e l l e r SPC m i g ? M-b M-b 
M-b M-b M-b M-b M-b M-b M-b M-f , SPC h a r SPC d u 
SPC f u n d e t SPC n o g e t ? M-q C-c C-f C-c d i 
a n a <tab> C-c C-c n R <return> M-e <down-mouse-1> 
<mouse-1> <return> <return> G o d t SPC l ø b e t C-c 
C-z C-c C-c n <help-echo> <help-echo> <help-echo> <help-echo> 
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
<help-echo> n n n g n <return> ! m C-x k <return> n 
! SPC q <help-echo> <help-echo> <help-echo> <help-echo> 
<help-echo> <help-echo> <menu-bar> <help-menu> <re
port-emacs-bug>

Recent messages:
Retrieving newsgroup: nnimap+AUC:INBOX.mbox-out...
nnimap: Updating info for nnimap+AUC:INBOX.mbox-out...done
Fetching headers for nnimap+AUC:INBOX.mbox-out...done
Suppressing duplicates...done
Generating summary...done
Expiring articles...done
nnimap: Setting marks in INBOX.mbox-out...done
nnimap: Setting marks in INBOX.mbox-out...done
No more unread newsgroups
Loading emacsbug...done